# PSF-LoginServer - master - net.psforever.services.avatar.AvatarAction.ChangeAmmo
PSF - LoginServer - master - net.psforever.services.avatar.AvatarAction.ChangeAmmo
Keywords: PSF LoginServer master net.psforever.services.avatar.AvatarAction.ChangeAmmo

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    services
-  object AvatarAction
  Definition Classes
    avatar
- Action
- ActivateImplantSlot
- ArmorChanged
- ChangeAmmo
- ChangeExosuit
- ChangeFireMode
- ChangeFireState_Start
- ChangeFireState_Stop
- ChangeLoadout
- ConcealPlayer
- DeactivateImplantSlot
- DeployItem
- Destroy
- DestroyDisplay
- DropItem
- DropSpecialItem
- EnvironmentalDamage
- EquipmentInHand
- GenericObjectAction
- HitHint
- Killed
- KitNotUsed
- LoadPlayer
- LoadProjectile
- ObjectDelete
- ObjectHeld
- OxygenState
- PickupItem
- PlanetsideAttribute
- PlanetsideAttributeSelf
- PlanetsideAttributeToAll
- PlayerState
- ProjectileAutoLockAwareness
- ProjectileExplodes
- ProjectileState
- PutDownFDU
- Release
- Reload
- Revive
- SendResponse
- SendResponseTargeted
- SetEmpire
- StowEquipment
- TeardownConnection
- TerminalOrderResult
- UseKit
- WeaponDryFire

c

net.psforever.services.avatar.AvatarAction

# ChangeAmmo

###

#### final case class ChangeAmmo(player_guid: PlanetSideGUID, weapon_guid: PlanetSideGUID, weapon_slot: Int, old_ammo_guid: PlanetSideGUID, ammo_id: Int, ammo_guid: PlanetSideGUID, ammo_data: ConstructorData) extends Action with Product with Serializable

Source
  AvatarServiceMessage.scala

Linear Supertypes
Serializable, Product, Equals, Action, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ChangeAmmo
2. Serializable
3. Product
4. Equals
5. Action
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ChangeAmmo(player_guid: PlanetSideGUID, weapon_guid: PlanetSideGUID, weapon_slot: Int, old_ammo_guid: PlanetSideGUID, ammo_id: Int, ammo_guid: PlanetSideGUID, ammo_data: ConstructorData)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val ammo_data: ConstructorData
5.  val ammo_guid: PlanetSideGUID
6.  val ammo_id: Int
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  val old_ammo_guid: PlanetSideGUID
17.  val player_guid: PlanetSideGUID
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  val weapon_guid: PlanetSideGUID
24.  val weapon_slot: Int

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Action

### Inherited from AnyRef

### Inherited from Any

### Ungrouped